libanthy-dev_9100h-25ubuntu1_amd64.deb


Advertisement

Description

libanthy-dev - input method for Japanese - development files

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Main amd64
Package filename libanthy-dev_9100h-25ubuntu1_amd64.deb
Package name libanthy-dev
Package version 9100h
Package release 25ubuntu1
Package architecture amd64
Package type deb
Category libdevel
Homepage http://anthy.sourceforge.jp/
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 154.22 KB
Installed size 705.00 KB
Anthy is a Japanese input method working on X11 and Emacs. It converts
hiragana text to mixed kana and kanji. It is implemented as a library
and stores private information securely in ~/.anthy/.
Thus, Anthy is simple and secure (information is protected from
spoofing and snooping).
This package provides the files necessary for compiling programs that
depend on Anthy.

Alternatives

Package Version Architecture Repository
libanthy-dev_9100h-25ubuntu1_i386.deb 9100h i386 Ubuntu Main
libanthy-dev - - -

Requires

Name Value
libanthy0 = 9100h-25ubuntu1

Download

Type URL
Mirror archive.ubuntu.com
Binary Package libanthy-dev_9100h-25ubuntu1_amd64.deb
Source Package anthy

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libanthy-dev deb package:
    # sudo apt-get install libanthy-dev

Files

Path
/usr/include/anthy/anthy.h
/usr/include/anthy/dicutil.h
/usr/include/anthy/input.h
/usr/include/anthy/wtype.h
/usr/include/anthy/xstr.h
/usr/lib/x86_64-linux-gnu/libanthy.a
/usr/lib/x86_64-linux-gnu/libanthy.so
/usr/lib/x86_64-linux-gnu/libanthydic.a
/usr/lib/x86_64-linux-gnu/libanthydic.so
/usr/lib/x86_64-linux-gnu/libanthyinput.a
/usr/lib/x86_64-linux-gnu/libanthyinput.so
/usr/lib/x86_64-linux-gnu/pkgconfig/anthy.pc
/usr/share/doc/libanthy-dev/00INDEX
/usr/share/doc/libanthy-dev/DICUTIL
/usr/share/doc/libanthy-dev/GLOSSARY
/usr/share/doc/libanthy-dev/GUIDE.english
/usr/share/doc/libanthy-dev/ILIB.gz
/usr/share/doc/libanthy-dev/LEARNING
/usr/share/doc/libanthy-dev/LIB.gz
/usr/share/doc/libanthy-dev/MISC.gz
/usr/share/doc/libanthy-dev/POS
/usr/share/doc/libanthy-dev/SPLITTER
/usr/share/doc/libanthy-dev/TESTING
/usr/share/doc/libanthy-dev/changelog.Debian.gz
/usr/share/doc/libanthy-dev/copyright

Changelog

2015-06-17 - Matthias Klose <doko@ubuntu.com>
anthy (9100h-25ubuntu1) wily; urgency=medium
* Merge with Debian; remaining changes:
- debian/control: Drop libanthy0's dependency to anthy-common. anthy
should pull in -common, not the library. This reclaims 3.4 MB of CD
space. (Debian #582830, #582942)
- Drop kasumi (universe) from Recommends to Suggests.
- Add missing dh_autoreconf_clean call.
2015-03-15 - Hideki Yamane <henrich@debian.org>
anthy (9100h-25) unstable; urgency=medium
* debian/patches
- add bug#777689.patch to fix infinite loop (Closes: #777689)
* debian/control
- update Vcs-*
- Standards-Version: 3.9.6
2014-09-13 - Hideki Yamane <henrich@debian.org>
anthy (9100h-24) unstable; urgency=medium
* debian/rules
- add dh --with autoreconf
- drop override_dh_builddeb since xz compression becomes default
* debian/control
- set Standards-Version: 3.9.5
- move "Depends: emacs23" to emacs that provides newest emacs
(Closes: #753988)
2014-01-08 - Matthias Klose <doko@ubuntu.com>
anthy (9100h-23ubuntu2) trusty; urgency=medium
* Add missing dh_autoreconf_clean call.
2014-01-06 - Matthias Klose <doko@ubuntu.com>
anthy (9100h-23ubuntu1) trusty; urgency=medium
* Merge with Debian; remaining changes:
- debian/control: Drop libanthy0's dependency to anthy-common. anthy
should pull in -common, not the library. This reclaims 3.4 MB of CD
space. (Debian #582830, #582942)
- Drop kasumi (universe) from Recommends to Suggests.
2013-04-03 - Hideki Yamane <henrich@debian.org>
anthy (9100h-23) unstable; urgency=low
* Once remove social-ime and wikipedia dic data since it causes a lot of
wrong output. 
* Upload to unstable
2013-03-11 - Hideki Yamane <henrich@debian.org>
anthy (9100h-22) experimental; urgency=low
* debian/patches
- add work-with-emacs-24.3.1.patch to make anthy.el works with
Emacs-24.3.1 or later.
* debian/control
- remove duplicate autotools-dev
* debian/libanthy0.lintian-overrides
- make it works with other architecture
2013-01-25 - Hideki Yamane <henrich@debian.org>
anthy (9100h-21) experimental; urgency=low
* debian/control
- set Standards-Version: 3.9.4
* debian/copyright
- fix "copyright-refers-to-deprecated-bsd-license-file" warning 
* debian/libanthy0.lintian-overrides
- avoid false positive warning
2013-01-14 - Hideki Yamane <henrich@debian.org>
anthy (9100h-20) experimental; urgency=low
* debian/rules
- remove -pie from hardening 
- add dh_autoreconf to avoid build failure by enabling PIE hardening
* debian/control
- add "Build-Depends: dh-autoreconf"
* debian/copyright
- convert to copyright format 1.0
2012-08-06 - Hideki Yamane <henrich@debian.org>
anthy (9100h-19) experimental; urgency=low
* debian/patches
- update remove_wrong_trans_data.patch 
* debian/{rules,control}
- use autotools-dev to deal with Outdated config.{sub,guess}
(Closes: #579072)

See Also

Package Description
libanthy0_9100h-25ubuntu1_amd64.deb input method for Japanese - runtime library
libantlr-dev_2.7.7+dfsg-6ubuntu1_amd64.deb language tool for constructing recognizers, compilers etc
libantlr-java_2.7.7+dfsg-6ubuntu1_all.deb language tool for constructing recognizers, compilers etc (java library)
libao-common_1.1.0-3ubuntu1_all.deb Cross Platform Audio Output Library (Common files)
libao-dev_1.1.0-3ubuntu1_amd64.deb Cross Platform Audio Output Library Development
libao4_1.1.0-3ubuntu1_amd64.deb Cross Platform Audio Output Library
libapache2-mod-apparmor_2.10.95-0ubuntu2_amd64.deb changehat AppArmor library as an Apache module
libapache2-mod-auth-pgsql_2.0.3-6.1_amd64.deb Module for Apache2 which provides PostgreSQL authentication
libapache2-mod-auth-plain_2.0.52_amd64.deb Module for Apache2 which provides plaintext authentication
libapache2-mod-perl2-dev_2.0.9-4ubuntu1_all.deb Integration of perl with the Apache2 web server - development files
libapache2-mod-perl2-doc_2.0.9-4ubuntu1_all.deb Integration of perl with the Apache2 web server - documentation
libapache2-mod-perl2_2.0.9-4ubuntu1_amd64.deb Integration of perl with the Apache2 web server
libapache2-mod-php7.0_7.0.4-7ubuntu2_amd64.deb server-side, HTML-embedded scripting language (Apache 2 module)
libapache2-mod-php_7.0+35ubuntu6_all.deb server-side, HTML-embedded scripting language (Apache 2 module) (default)
libapache2-mod-python-doc_3.3.1-11ubuntu2_all.deb Python-embedding module for Apache 2 - documentation
Advertisement
Advertisement